curl --request POST \
--url {protocol}://{host}/v2/loyalties/card-definitions/{cardDefinitionId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "INDIVIDUAL",
"code_config": {
"pattern": "<string>",
"length": 123,
"charset": "<string>",
"prefix": "<string>",
"postfix": "<string>"
},
"points_expiration": {
"rolling_expiration": {
"period": {
"value": 123
},
"rounding": {
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123
},
"earning_activity": true,
"spending_activity": true,
"custom_activity": true
}
},
"pending_points": {
"period_based": {
"period": {
"value": 123
}
},
"fixed_dates": {
"dates": [
{
"day": 16,
"month": 6
}
]
},
"event_based": {
"event_types": [
"<string>"
],
"cancel_period": {
"value": 123
}
}
},
"earning_limits": {
"global": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
},
"transactions": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
}
},
"spending_limits": {
"global": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
},
"transactions": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
}
},
"refunds": {
"spent_points": {
"methods": [
{
"type": "<string>"
}
]
},
"earned_points": {
"methods": [
{
"type": "<string>"
}
]
}
},
"balance_settings": {
"allow_negative": true
},
"pay_with_points": {
"exchange_ratio": {
"formula": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Draft Card Definition
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Transitions the card definition from ACTIVE back to DRAFT.
No request body. Drafting from any other state results in an
invalid state transition error (409).
curl --request POST \
--url {protocol}://{host}/v2/loyalties/card-definitions/{cardDefinitionId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "INDIVIDUAL",
"code_config": {
"pattern": "<string>",
"length": 123,
"charset": "<string>",
"prefix": "<string>",
"postfix": "<string>"
},
"points_expiration": {
"rolling_expiration": {
"period": {
"value": 123
},
"rounding": {
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123
},
"earning_activity": true,
"spending_activity": true,
"custom_activity": true
}
},
"pending_points": {
"period_based": {
"period": {
"value": 123
}
},
"fixed_dates": {
"dates": [
{
"day": 16,
"month": 6
}
]
},
"event_based": {
"event_types": [
"<string>"
],
"cancel_period": {
"value": 123
}
}
},
"earning_limits": {
"global": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
},
"transactions": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
}
},
"spending_limits": {
"global": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
},
"transactions": {
"limits": [
{
"type": "<string>",
"max": 123
}
]
}
},
"refunds": {
"spent_points": {
"methods": [
{
"type": "<string>"
}
]
},
"earned_points": {
"methods": [
{
"type": "<string>"
}
]
}
},
"balance_settings": {
"allow_negative": true
},
"pay_with_points": {
"exchange_ratio": {
"formula": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique card definition ID. Pattern: ^lcdef_[a-f0-9]+$.
^lcdef_[a-f0-9]+$Response
The drafted card definition.
A card definition.
Unique card definition ID.
^lcdef_[a-f0-9]+$Card definition name.
Card definition type.
INDIVIDUAL Current card definition status.
DRAFT, ACTIVE, DELETED Card code generation configuration. Always present with server-side defaults applied.
Show child attributes
Show child attributes
Points expiration policy. Always present; defaults to NO_EXPIRATION.
Show child attributes
Show child attributes
Pending points activation policy. Always present; defaults to IMMEDIATE.
Show child attributes
Show child attributes
Points earning limits. Always present; defaults to NO_LIMIT for both scopes.
Show child attributes
Show child attributes
Points spending limits. Always present; defaults to NO_LIMIT for both scopes.
Show child attributes
Show child attributes
Refund handling configuration. Always present; defaults to NONE for both scopes.
Show child attributes
Show child attributes
Card balance settings. Always present; defaults to allow_negative: false.
Show child attributes
Show child attributes
Pay-with-points configuration. Always present; defaults to NO_PAYMENTS.
Show child attributes
Show child attributes
Arbitrary key-value metadata. Empty object when not set.
Creation timestamp (ISO 8601).
Last update timestamp (ISO 8601). Null when the card definition has never been updated.
Object type marker. Always card_definition.
"card_definition"Was this page helpful?

